Package org.eclipse.m2m.atl.adt.debug.ui

## Class AtlBreakpointAdapter

- java.lang.Object
- - org.eclipse.m2m.atl.adt.debug.ui.AtlBreakpointAdapter

All Implemented Interfaces:
  `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`

    public class AtlBreakpointAdapter
    extends java.lang.Object
    implements org.eclipse.debug.ui.actions.IToggleBreakpointsTarget

Adapter to create breakpoints in ATL files.

### Constructor Summary

Constructors
`AtlBreakpointAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canToggleLineBreakpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`boolean` `canToggleMethodBreakpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`boolean` `canToggleWatchpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `toggleLineBreakpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `toggleMethodBreakpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `toggleWatchpoints​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlBreakpointAdapter

    public AtlBreakpointAdapter()

### Method Detail

#### toggleLineBreakpoints

    public void toggleLineBreakpoints​(org.eclipse.ui.IWorkbenchPart part,
                                      org.eclipse.jface.viewers.ISelection selection)
                               throws org.eclipse.core.runtime.CoreException

Specified by:
  `toggleLineBreakpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IToggleBreakpointsTarget.toggleLineBreakpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### canToggleLineBreakpoints

    public boolean canToggleLineBreakpoints​(org.eclipse.ui.IWorkbenchPart part,
                                            org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `canToggleLineBreakpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
See Also:
  `IToggleBreakpointsTarget.canToggleLineBreakpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### toggleMethodBreakpoints

    public void toggleMethodBreakpoints​(org.eclipse.ui.IWorkbenchPart part,
                                        org.eclipse.jface.viewers.ISelection selection)
                                 throws org.eclipse.core.runtime.CoreException

Specified by:
  `toggleMethodBreakpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IToggleBreakpointsTarget.toggleMethodBreakpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### canToggleMethodBreakpoints

    public boolean canToggleMethodBreakpoints​(org.eclipse.ui.IWorkbenchPart part,
                                              org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `canToggleMethodBreakpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
See Also:
  `IToggleBreakpointsTarget.canToggleMethodBreakpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### toggleWatchpoints

    public void toggleWatchpoints​(org.eclipse.ui.IWorkbenchPart part,
                                  org.eclipse.jface.viewers.ISelection selection)
                           throws org.eclipse.core.runtime.CoreException

Specified by:
  `toggleWatchpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IToggleBreakpointsTarget.toggleWatchpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### canToggleWatchpoints

    public boolean canToggleWatchpoints​(org.eclipse.ui.IWorkbenchPart part,
                                        org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `canToggleWatchpoints` in interface `org.eclipse.debug.ui.actions.IToggleBreakpointsTarget`
See Also:
  `IToggleBreakpointsTarget.canToggleWatchpoints(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`